%define	srcname	OpenSceneGraph
%define major	131
%define libname	%mklibname openscenegraph %{major}
%define wronglibname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define otname		openthreads34
%define otsrcname	OpenThreads
%define otmajor		20
%define otlibname	%mklibname openthreads %{otmajor}
%define wrongotlibname	%mklibname %{name} %{major}
%define otdevname	%mklibname %{otname} -d

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		openscenegraph34
Version:	3.4.1
Release:	%mkrel 14
License:	LGPLv2+ with exceptions
Group:		System/Libraries
URL:		http://www.openscenegraph.org/
Source0:	https://github.com/openscenegraph/OpenSceneGraph/archive/%{srcname}-%{version}.tar.gz
# Building breaks with unsigned char (arm, c11)
Patch5:		0005-c-11-narrowing-hacks-Work-around-c-11-erroring-out-n.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkglext-x11-1.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxine)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	giflib-devel

Provides:	%{srcname}34 = %{version}-%{release}

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time
visualization. Uses range from visual simulation, scientific modeling, virtual
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files
%doc AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README.txt
%doc doc/*
%{_bindir}/osg*
%{_bindir}/present3D

%package -n	%{libname}
Summary:	A C++ scene graph API on OpenGL for real time graphics
Group:		System/Libraries
#to remove it from repositories in cauldron
Obsoletes:	%{wronglibname} <= 3.4.1-5

%description -n	%{libname}
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time
visualization. Uses range from visual simulation, scientific modeling, virtual
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files -n	%{libname}
%{_libdir}/libosg*.so.%{major}
%{_libdir}/libosg*.so.%{version}
%{_libdir}/osgPlugins-%{version}/

#------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %srcname
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{srcname}34-devel = %{version}-%{release}
Conflicts:	%{srcname}-devel >= %{version}-%{release}
Obsoletes:	openscenegraph34-devel < 3.4.1-5
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{otdevname} >= %{version}-%{release}

%description -n	%{devname}
This package contains development files for %srcname.

%files -n	%{devname}
%{_includedir}/osg*/
%{_libdir}/libosg*.so
%{_libdir}/pkgconfig/openscenegraph*.pc

#------------------------------------------------------------------

%package -n	%{otlibname}
Summary:	A lightweight C++ thread API
Group:		System/Libraries
#to remove it from repositories in cauldron
Obsoletes:      %{wrongotlibname} <= 3.4.1-6

%description -n	%{otlibname}
This library is intended to provide a minimal & complete Object-Oriented
thread interface for C++ programmers.  It is loosely modeled on the Java
thread API, and the POSIX Threads standards.

%{otsrcname} is part of the %{srcname} project.

%files -n	%{otlibname}
%{_libdir}/lib%{otsrcname}.so.%{otmajor}
%{_libdir}/lib%{otsrcname}.so.3.3.0

#------------------------------------------------------------------

%package -n	%{otdevname}
Summary:	Development package for %{otsrcname}
Group:		Development/C++
Provides:	%{otname}-devel = %{version}-%{release}
Provides:	%{otsrcname}34-devel = %{version}-%{release}
Conflicts:	%{otsrcname}-devel >= %{version}-%{release}
Requires:	%{otlibname} >= %{version}-%{release}

%description -n	%{otdevname}
This package contains development files for %{otsrcname}.

%files -n	%{otdevname}
%{_includedir}/%{otsrcname}/
%{_libdir}/lib%{otsrcname}.so
%{_libdir}/pkgconfig/openthreads.pc

#------------------------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{srcname}-%{version}

%build
%cmake \
	-DCMAKE_RELWITHDEBINFO_POSTFIX='' \
	-DDESIRED_QT_VERSION=5
%cmake_build

%install
%cmake_install


%changelog
* Tue Dec 29 2020 wally <wally> 3.4.1-14.mga8
+ Revision: 1664993
- rebuild for missing signature on aarch64

* Thu Dec 17 2020 umeabot <umeabot> 3.4.1-13.mga8
+ Revision: 1659220
- Rebuild for new Qt5

* Sat Oct 31 2020 akien <akien> 3.4.1-12.mga8
+ Revision: 1640842
- Rebuild against gdal with fixed netcdf major dep

* Thu Jul 16 2020 daviddavid <daviddavid> 3.4.1-11.mga8
+ Revision: 1606467
- rebuild for new gdal 3.1.2

* Sun Mar 15 2020 daviddavid <daviddavid> 3.4.1-10.mga8
+ Revision: 1556467
- rebuild for new gdal 3.0.4
+ zezinho <zezinho>
- needed again

* Sat Feb 15 2020 umeabot <umeabot> 3.4.1-9.mga8
+ Revision: 1524842
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 3.4.1-8.mga7
+ Revision: 1383649
- Qt5 Rebuild

* Sat Oct 13 2018 zezinho <zezinho> 3.4.1-7.mga7
+ Revision: 1320046
+ rebuild (emptylog)

* Sat Oct 13 2018 zezinho <zezinho> 3.4.1-6.mga7
+ Revision: 1320045
+ rebuild (emptylog)

* Sat Oct 13 2018 zezinho <zezinho> 3.4.1-5.mga7
+ Revision: 1320010
- migrate to package34 provides and names
- osg3.4 needed by flightgear
+ daviddavid <daviddavid>
- add patch (5) to fix build on ARM

* Mon Apr 16 2018 daviddavid <daviddavid> 3.4.1-3.mga7
+ Revision: 1219274
- rebuild for new jasper 2.0.14

* Sat Feb 10 2018 daviddavid <daviddavid> 3.4.1-2.mga7
+ Revision: 1200178
- BR pkgconfig(Qt5OpenGL)

* Sat Dec 30 2017 akien <akien> 3.4.1-1.mga7
+ Revision: 1187831
- Version 3.4.1

* Wed Mar 08 2017 akien <akien> 3.4.0-8.mga6
+ Revision: 1090231
- Rebuild for ffmpeg 3.2.4

* Mon Nov 28 2016 luigiwalser <luigiwalser> 3.4.0-7.mga6
+ Revision: 1070631
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 3.4.0-6.mga6
+ Revision: 1046190
- test rebuild for poppler

* Mon Jan 11 2016 wally <wally> 3.4.0-5.mga6
+ Revision: 921705
- build against gdal also on arm

* Sat Jan 09 2016 wally <wally> 3.4.0-4.mga6
+ Revision: 920886
- build with gdal again

* Sat Jan 09 2016 wally <wally> 3.4.0-3.mga6
+ Revision: 920825
- build without gdal for now

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.4.0-2.mga6
+ Revision: 920406
- rebuild for giflib

* Wed Jan 06 2016 wally <wally> 3.4.0-1.mga6
+ Revision: 920107
- new version 3.4.0
- new osg libmajor 130
- drop unneeded patches
- drop unneeded requires
- update BRs and don't BR gdal-devel on arm

* Wed Jan 06 2016 wally <wally> 3.2.3-1.mga6
+ Revision: 920100
- new version 3.2.3
- drop unneeded patches from upstream
- build with Qt5

* Wed Aug 26 2015 cjw <cjw> 3.2.1-4.mga6
+ Revision: 869729
- rebuild with gcc 5

* Mon Dec 15 2014 akien <akien> 3.2.1-3.mga5
+ Revision: 803228
- Add upstream patch to fix use-after-free crash

* Sun Dec 14 2014 akien <akien> 3.2.1-2.mga5
+ Revision: 803083
- Obsolete openscenegraph-devel renamed to lib(64)openscenegraph-devel

* Sat Dec 13 2014 akien <akien> 3.2.1-1.mga5
+ Revision: 802913
- Version 3.2.1 (OpenThreads major change from 13 to 20) (mga#14136)

* Sat Dec 13 2014 akien <akien> 3.2.0-5.mga5
+ Revision: 802908
- Reorder BRs and use pkgconfig when available
- Proper libification of OpenSceneGraph:
 o OSG libraries in lib(64)openscenegraph100, devel in lib(64)openscenegraph-devel
 o OpenThreads library in lib(64)openthreads13, devel in lib(64)openthreads-devel

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 748900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 683241
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-2.mga4
+ Revision: 536560
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 3.2.0-1.mga4
+ Revision: 484679
- new version 3.2.0

* Mon Jun 03 2013 fwang <fwang> 3.0.1-7.mga4
+ Revision: 436028
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-6.mga3
+ Revision: 362138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 fwang <fwang> 3.0.1-5.mga2
+ Revision: 187417
- rebuild for new tiff

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 3.0.1-4.mga2
+ Revision: 162069
- rebuild against new geos

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 3.0.1-3.mga2
+ Revision: 149655
- rebuild against new geos and changes in gdal

* Tue Sep 27 2011 ovitters <ovitters> 3.0.1-2.mga2
+ Revision: 149410
- rebuild for new poppler

* Sun Sep 18 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 144814
- new version 3.0.1

* Wed Sep 14 2011 fwang <fwang> 3.0.0-4.mga2
+ Revision: 143439
- rebuild for new libpng
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jul 20 2011 fwang <fwang> 3.0.0-2.mga2
+ Revision: 127421
- maybe only gl is enough

* Mon Jul 18 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 125925
- update file list
- new version 3.0.0
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Thu Jun 16 2011 fwang <fwang> 2.8.5-1.mga2
+ Revision: 108061
- linkage patch not needed
- New version 2.8.5

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.8.3-2.mga1
+ Revision: 89189
- rebuild agains new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.8.3-1.mga1
+ Revision: 86786
- clean spec file
- imported package openscenegraph

